{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "cat",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat.cwl/input_file"
                },
                {
                    "type": "string",
                    "id": "#cat.cwl/output_filename"
                }
            ],
            "stdout": "$(inputs.output_filename)",
            "id": "#cat.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_filename)"
                    },
                    "id": "#cat.cwl/output"
                }
            ]
        },
        {
            "baseCommand": [
                "change_precision.py",
                "--spaces"
            ],
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#change-precision.cwl/input_file"
                },
                {
                    "type": "int",
                    "default": 4,
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#change-precision.cwl/precision"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#change-precision.cwl/changed",
                    "outputBinding": {
                        "glob": "812fe32d7f3c7953e5dedcbb85ccff65ef3f5431"
                    }
                }
            ],
            "id": "#change-precision.cwl",
            "stdout": "812fe32d7f3c7953e5dedcbb85ccff65ef3f5431"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "combine_predictions_sql.py"
            ],
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#combine.cwl/input_files"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#combine.cwl/combined",
                    "outputBinding": {
                        "glob": "7acbc6cc8813915d3655099ab2ed92aaf470e146"
                    }
                }
            ],
            "id": "#combine.cwl",
            "stdout": "7acbc6cc8813915d3655099ab2ed92aaf470e146"
        },
        {
            "baseCommand": [
                "filter.py",
                "--spaces"
            ],
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "float",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#filter.cwl/filter_threshold"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#filter.cwl/input_file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#filter.cwl/filtered",
                    "outputBinding": {
                        "glob": "60ee17d63a1752595b185939b4d4af2a1f7e9815"
                    }
                }
            ],
            "id": "#filter.cwl",
            "stdout": "60ee17d63a1752595b185939b4d4af2a1f7e9815"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "predict_tf_binding.py",
            "hints": [
                {
                    "dockerPull": "dukegcb/predict-tf-binding",
                    "class": "DockerRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "prefix": "--chroms",
                        "itemSeparator": " ",
                        "separate": true
                    },
                    "id": "#predict-tf-binding.cwl/chroms"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "prefix": "-c"
                    },
                    "id": "#predict-tf-binding.cwl/core"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--core-start"
                    },
                    "id": "#predict-tf-binding.cwl/core_start"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "inputBinding": {
                        "prefix": "-k"
                    },
                    "id": "#predict-tf-binding.cwl/kmers"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "prefix": "-m"
                    },
                    "id": "#predict-tf-binding.cwl/model"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-s"
                    },
                    "id": "#predict-tf-binding.cwl/sequence"
                },
                {
                    "type": "boolean",
                    "default": true,
                    "inputBinding": {
                        "prefix": "--skip-size-check"
                    },
                    "id": "#predict-tf-binding.cwl/skip_size_check"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "prefix": "-i"
                    },
                    "id": "#predict-tf-binding.cwl/slope_intercept"
                },
                {
                    "type": "boolean",
                    "default": false,
                    "inputBinding": {
                        "prefix": "-t"
                    },
                    "id": "#predict-tf-binding.cwl/transform"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-w"
                    },
                    "id": "#predict-tf-binding.cwl/width"
                }
            ],
            "outputs": [
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "predict_output_*.bed"
                    },
                    "id": "#predict-tf-binding.cwl/predictions"
                }
            ],
            "id": "#predict-tf-binding.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/core_start"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/cores"
                },
                {
                    "type": "float",
                    "id": "#main/filter_threshold"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "int"
                    },
                    "id": "#main/kmers"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/models"
                },
                {
                    "type": "string",
                    "id": "#main/output_filename"
                },
                {
                    "type": "File",
                    "id": "#main/sequence"
                },
                {
                    "type": "boolean",
                    "id": "#main/slope_intercept"
                },
                {
                    "type": "boolean",
                    "id": "#main/transform"
                },
                {
                    "type": "int",
                    "id": "#main/width"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/name_output/output",
                    "id": "#main/predictions"
                }
            ],
            "steps": [
                {
                    "run": "#change-precision.cwl",
                    "in": [
                        {
                            "source": "#main/filter/filtered",
                            "id": "#main/change_precision/input_file"
                        }
                    ],
                    "out": [
                        "#main/change_precision/changed"
                    ],
                    "id": "#main/change_precision"
                },
                {
                    "run": "#combine.cwl",
                    "in": [
                        {
                            "source": "#main/predict/predictions",
                            "id": "#main/combine/input_files"
                        }
                    ],
                    "out": [
                        "#main/combine/combined"
                    ],
                    "id": "#main/combine"
                },
                {
                    "run": "#filter.cwl",
                    "in": [
                        {
                            "source": "#main/filter_threshold",
                            "id": "#main/filter/filter_threshold"
                        },
                        {
                            "source": "#main/combine/combined",
                            "id": "#main/filter/input_file"
                        }
                    ],
                    "out": [
                        "#main/filter/filtered"
                    ],
                    "id": "#main/filter"
                },
                {
                    "run": "#cat.cwl",
                    "in": [
                        {
                            "source": "#main/change_precision/changed",
                            "id": "#main/name_output/input_file"
                        },
                        {
                            "source": "#main/output_filename",
                            "id": "#main/name_output/output_filename"
                        }
                    ],
                    "out": [
                        "#main/name_output/output"
                    ],
                    "id": "#main/name_output"
                },
                {
                    "run": "#predict-tf-binding.cwl",
                    "in": [
                        {
                            "source": "#main/cores",
                            "id": "#main/predict/core"
                        },
                        {
                            "source": "#main/core_start",
                            "id": "#main/predict/core_start"
                        },
                        {
                            "source": "#main/kmers",
                            "id": "#main/predict/kmers"
                        },
                        {
                            "source": "#main/models",
                            "id": "#main/predict/model"
                        },
                        {
                            "source": "#main/sequence",
                            "id": "#main/predict/sequence"
                        },
                        {
                            "source": "#main/slope_intercept",
                            "id": "#main/predict/slope_intercept"
                        },
                        {
                            "source": "#main/transform",
                            "id": "#main/predict/transform"
                        },
                        {
                            "source": "#main/width",
                            "id": "#main/predict/width"
                        }
                    ],
                    "out": [
                        "#main/predict/predictions"
                    ],
                    "id": "#main/predict"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
